### Hierarchy

- unknown
  - SendDisputeChatMessageRequest

## Index

### Constructors

- constructor

### Methods

- addAttachments
- clearAttachmentsList
- getAttachmentsList
- getDisputeId
- getMessage
- serializeBinary
- setAttachmentsList
- setDisputeId
- setMessage
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new SendDisputeChatMessageRequest(): SendDisputeChatMessageRequest

- Inherited from jspb.Message.constructor

  #### Returns SendDisputeChatMessageRequest

## Methods

### addAttachments

- addAttachments(value?: Attachment, index?: number): Attachment

- - Defined in src/protobuf/grpc_pb.d.ts:564

  #### Parameters

  - ##### Optional value: Attachment

  - ##### Optional index: number

  #### Returns Attachment

### clearAttachmentsList

- clearAttachmentsList(): SendDisputeChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:563

  #### Returns SendDisputeChatMessageRequest

### getAttachmentsList

- getAttachmentsList(): Attachment []

- - Defined in src/protobuf/grpc_pb.d.ts:561

  #### Returns Attachment []

### getDisputeId

- getDisputeId(): string

- - Defined in src/protobuf/grpc_pb.d.ts:555

  #### Returns string

### getMessage

- getMessage(): string

- - Defined in src/protobuf/grpc_pb.d.ts:558

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:566

  #### Returns Uint8Array

### setAttachmentsList

- setAttachmentsList(value: Attachment []): SendDisputeChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:562

  #### Parameters

  - ##### value: Attachment []

  #### Returns SendDisputeChatMessageRequest

### setDisputeId

- setDisputeId(value: string): SendDisputeChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:556

  #### Parameters

  - ##### value: string

  #### Returns SendDisputeChatMessageRequest

### setMessage

- setMessage(value: string): SendDisputeChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:559

  #### Parameters

  - ##### value: string

  #### Returns SendDisputeChatMessageRequest

### toObject

- toObject(includeInstance?: boolean): SendDisputeChatMessageRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:567

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns SendDisputeChatMessageRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): SendDisputeChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:570

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns SendDisputeChatMessageRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: SendDisputeChatMessageRequest, reader: BinaryReader): SendDisputeChatMessageRequest

- - Defined in src/protobuf/grpc_pb.d.ts:571

  #### Parameters

  - ##### message: SendDisputeChatMessageRequest

  - ##### reader: BinaryReader

  #### Returns SendDisputeChatMessageRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: SendDisputeChatMessageRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:569

  #### Parameters

  - ##### message: SendDisputeChatMessageRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: SendDisputeChatMessageRequest ): SendDisputeChatMessageRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:568

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: SendDisputeChatMessageRequest

  #### Returns SendDisputeChatMessageRequest . AsObject

Generated using TypeDoc